alphabet.h File Reference
Utilities

Functions to process, convert, and generally handle different nucleotide and/or base pair alphabets. More...

Include dependency graph for alphabet.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

char * | vrna_ptypes (const short *S, vrna_md_t *md)
| Get an array of the numerical encoding for each possible base pair (i,j) More...
short * | vrna_seq_encode (const char *sequence, vrna_md_t *md)
| Get a numerical representation of the nucleotide sequence.
short * | vrna_seq_encode_simple (const char *sequence, vrna_md_t *md)
| Get a numerical representation of the nucleotide sequence (simple version)
int | vrna_nucleotide_encode (char c, vrna_md_t *md)
| Encode a nucleotide character to numerical value. More...
char | vrna_nucleotide_decode (int enc, vrna_md_t *md)
| Decode a numerical representation of a nucleotide back into nucleotide alphabet. More...

## Detailed Description

Functions to process, convert, and generally handle different nucleotide and/or base pair alphabets.

## Function Documentation

char* vrna_ptypes | ( | const short * | S,
|  | vrna_md_t * | md
| ) |  |

Get an array of the numerical encoding for each possible base pair (i,j)

Note
  This array is always indexed in column-wise order, in contrast to previously different indexing between mfe and pf variants!

See also
  vrna_idx_col_wise(), vrna_fold_compound_t

int vrna_nucleotide_encode | ( | char | c,
|  | vrna_md_t * | md
| ) |  |

Encode a nucleotide character to numerical value.

This function encodes a nucleotide character to its numerical representation as required by many functions in RNAlib.

See also
  vrna_nucleotide_decode(), vrna_seq_encode()

Parameters

  c | The nucleotide character to encode
  md | The model details that determine the kind of encoding

Returns
  The encoded nucleotide

char vrna_nucleotide_decode | ( | int | enc,
|  | vrna_md_t * | md
| ) |  |

Decode a numerical representation of a nucleotide back into nucleotide alphabet.

This function decodes a numerical representation of a nucleotide character back into nucleotide alphabet

See also
  vrna_nucleotide_encode(), vrna_seq_encode()

Parameters

  enc | The encoded nucleotide
  md | The model details that determine the kind of decoding

Returns
  The decoded nucleotide character